unit drandom;

// Fast random

interface

var
  FastRandSeed: Cardinal;

function Rand(Count: LongInt): LongInt; inline;

implementation

function Rand(Count: LongInt): LongInt; inline;
begin
  FastRandSeed := 214013 * FastRandSeed + 2531011;
  Result := FastRandSeed mod Count;
end;

end.
